%define upstream_name DB_ldap2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.1
Release:     	%mkrel 2
Summary:    	DB drivers for LDAP v2 and v3 database
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/DB_ldap2-%{version}.tgz
URL: 		http://pear.php.net/package/DB_ldap2
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.7.0
Requires:	php-pear >= 1.4.0b1
BuildArch: noarch

%description
DB_ldap2 and DB_ldap3 classes extend DB_common to provide DB
compliant access to LDAP servers with protocol version 2 and 3. The
drivers provide common DB interface as much as possible and support
prepare/execute statements.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DB_ldap2.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DB_ldap2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB_ldap2
fi

%files
%defattr(-,root,root)
%doc docs/DB_ldap2/*
%{peardir}/*
%{xmldir}/DB_ldap2.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.1-2.mga3
+ Revision: 375986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 spuhler <spuhler> 0.5.1-1.mga2
+ Revision: 217371
- update to 0.5.1
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.5.0-4.mga1
+ Revision: 47311
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DB_ldap2

